## Struct template output_visitor

boost::log::tuple_manipulator<TupleT, void>::output_visitor

## Synopsis

    // In header: <boost/log/utility/manipulators/tuple.hpp>

    template<typename StreamT>
    struct output_visitor {
      // types
      typedef void result_type;

      // public member functions
      explicit output_visitor(StreamT &) noexcept;
      template<typename T> result_type operator()(T const &) const;
    };

## Description

### `output_visitor` public member functions

1.     explicit output_visitor(StreamT & stream) noexcept;

2.     template<typename T> result_type operator()(T const & elem) const;